ATA_DUMP_STATUS(9)

NAME
ata_dump_status - user friendly display of error info

SYNOPSIS

void ata_dump_status (unsigned id, struct ata_taskfile * tf);

ARGUMENTS

id  id of the port in question

tf  ptr to filled out taskfile

DESCRIPTION

Decode and dump the ATA error/status registers for the user so that they have some idea what really happened at the non make-believe layer.

LOCKING

inherited from caller

AUTHOR
Jeff Garzik.